This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1026139 - (appstream) Review Request: appstream - Utilities to generate, maintain and access the AppStream Xapian database
Review Request: appstream - Utilities to generate, maintain and access the Ap...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: T.C. Hollingsworth
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1026118
  Show dependency treegraph
 
Reported: 2013-11-03 21:51 EST by Rex Dieter
Modified: 2013-11-11 18:27 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-08 09:12:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tchollingsworth: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2013-11-03 21:51:08 EST
Spec URL: http://rdieter.fedorapeople.org/rpms/appstream/appstream.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/appstream/appstream-0.4.0-1.fc20.src.rpm
Description: 
AppStream-Core makes it easy to access application information from the
AppStream database over a nice GObject-based interface. It uses a 
PackageKit plugin to automatically (re)generate the AppStream Xapian
database of applications.
Fedora Account System Username: rdieter
Comment 1 T.C. Hollingsworth 2013-11-04 01:12:16 EST
Looks good overall, just a couple directory issues, at least one of which isn't your issue at all...

--

MUST:

[!]: Package requires other packages for directories it uses.
[!]: Package must own all directories that it creates.

There are three directories that aren't owned by this package or any of its
dependencies:

> %{_datadir}/vala/vapi

This probably should be in a "vala-appstream" subpackage that Requires vala:
http://www.redhat.com/archives/fedora-packaging/2009-February/msg00022.html

> /usr/lib64/packagekit-plugins

This is actually a bug in PackageKit.  It ships several files in that directory 
itself, but nobody owns it.

> /usr/share/gir-1.0

% repoquery --whatprovides /usr/share/gir-1.0 | wc -l
46

All -devel packages.

I'm pretty sure all these packages should all just be requiring gobject-instrospection-devel?


SHOULD:

[x]: Rpmlint is run on all rpms the build produces.

Checking: appstream-0.4.0-1.fc19.x86_64.rpm
          appstream-devel-0.4.0-1.fc19.x86_64.rpm
          appstream-0.4.0-1.fc19.src.rpm
> appstream.x86_64: W: name-repeated-in-summary C AppStream

This make sense in this case.

> appstream-devel.x86_64: W: no-documentation

rpmlint really should whitelist -devel subpackages...

> appstream.src:32: W: mixed-use-of-spaces-and-tabs (spaces: line 3, tab: line 32)

In the commented-out Requires line.

> appstream.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libappstream.so.0.4.0 /lib64/libm.so.6

CMake overlinking as per usual.
Comment 2 Rex Dieter 2013-11-04 10:29:26 EST
Spec URL: http://rdieter.fedorapeople.org/rpms/appstream/appstream.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/appstream/appstream-0.4.0-2.fc20.src.rpm

%changelog
* Mon Nov 04 2013 Rex Dieter <rdieter@fedoraproject.org> 0.4.0-2
- -vala subpkg
- own %%{_libdir}/girepository-1.0, %%{_libdir}/packagekit-plugins (until someone better comes along)
Comment 3 T.C. Hollingsworth 2013-11-04 12:59:46 EST
%{_datadir}/gir-1.0 in -devel is still unowned.  Please fix this before importing.

Everything else looks fine, APPROVED.  :-)
Comment 4 Rex Dieter 2013-11-07 20:07:29 EST
New Package SCM Request
=======================
Package Name: appstream
Short Description: Utilities to generate, maintain and access the Appstream Xapian database
Owners: rdieter
Branches: f20
InitialCC:
Comment 5 Gwyn Ciesla 2013-11-08 08:12:40 EST
Git done (by process-git-requests).
Comment 6 Rex Dieter 2013-11-08 09:12:52 EST
imported (and dir ownership fixed)

Note You need to log in before you can comment on or make changes to this bug.